SDL_iconv_string(3)

NAME
SDL_iconv_string - Helper function to convert a string's encoding in one call.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

char * SDL_iconv_string(const char *tocode,
                   const char *fromcode,
                   const char *inbuf,
                   size_t inbytesleft);

DESCRIPTION
This function converts a buffer or string between encodings in one pass.

The string does not need to be NULL-terminated; this function operates on the number of bytes specified in inbytesleft whether there is a NULL character anywhere in the buffer.

The returned string is owned by the caller, and should be passed to SDL_free when no longer needed.

FUNCTION PARAMETERS

tocode
    the character encoding of the output string. Examples are "UTF-8", "UCS-4", etc.

fromcode
    the character encoding of data in inbuf.

inbuf
    the string to convert to a different encoding.

inbytesleft
    the size of the input string _in bytes_.

RETURN VALUE
Returns a new string, converted to the new encoding, or NULL on error.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_iconv_open(3), SDL_iconv_close(3), SDL_iconv(3)